
Foreman - Bug #26603

Deleting a user athorized by ldap doesn't work

04/12/2019 02:30 PM - Patrick Thyen

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.20.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you want to delete a User athorized by an ldap source, you only get this error (frontend):

Oops, we're sorry but something went wrong Failed to save the record

I attached the log

Related issues:

Related to Foreman - Bug #25914: Not able to delete user associated with user... Closed

History

#1 - 04/15/2019 07:29 AM - Lukas Zapletal

- Category set to Users, Roles and Permissions

- Triaged changed from No to Yes

Thanks for the report, for the record the error is (pretty generic):

2019-04-12T16:26:09 [I|app|] Started DELETE "/users/7-t-test" for 10.0.204.84 at 2019-04-12 16:26:09 +0200

2019-04-12T16:26:09 [I|app|98f6d] Processing by UsersController#destroy as HTML

2019-04-12T16:26:09 [I|app|98f6d]   Parameters: {"authenticity_token"=>"N5iQB+QZylZHbgvaJf2+ShtV7LnT5HUwFqmTeE

Wv1efqfofownIEly/L/phIHTvQhCQQhRt/lD+X34tLi74YFQ==", "id"=>"7-t-test"}

2019-04-12T16:26:09 [I|app|98f6d] Current user set to admin (admin)

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on login t.est

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on firstname test

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on lastname est

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on mail t.test@test.com

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on admin false

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on auth_source_id 3

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on locale

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on avatar_hash

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on default_organization_id

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on default_location_id

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on lower_login t.test

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on mail_enabled true

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on timezone

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on description

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on password [redacted]

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on role_ids [1]

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on organization_ids [1]

2019-04-12T16:26:09 [I|aud|98f6d] User (7) destroy event on location_ids []

2019-04-12T16:26:09 [W|app|98f6d] Action failed

ActiveRecord::RecordNotSaved: Failed to save the record

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/persistence.rb:308:in 

`save!'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/validations.rb:52:in `

save!'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:315:in

 `block in save!'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:387:in

 `block in with_transaction_returning_status'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab
stract/database_statements.rb:252:in `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in

 `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:385:in

 `with_transaction_returning_status'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:315:in

 `save!'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/suppressor.rb:48:in `s

ave!'

/usr/share/foreman/app/models/usergroup_member.rb:89:in `each'

/usr/share/foreman/app/models/usergroup_member.rb:89:in `recache_memberships'

/usr/share/foreman/app/models/usergroup_member.rb:85:in `remove_old_cache'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:426:in 

`block in make_lambda'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:236:in 

`block in halting_and_conditional'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:517:in 

`block in invoke_after'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:517:in 

`each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:517:in 

`invoke_after'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:133:in 

`run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:816:in 

`_run_destroy_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/callbacks.rb:323:in `d

estroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:305:in

 `block in destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:387:in

 `block in with_transaction_returning_status'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab

stract/database_statements.rb:252:in `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in

 `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:385:in

 `with_transaction_returning_status'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:305:in

 `destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/persistence.rb:357:in 

`destroy!'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/has_many_

association.rb:107:in `each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/has_many_

association.rb:107:in `delete_records'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:398:in `remove_records'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:391:in `block in delete_or_destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:134:in `block in transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab

stract/database_statements.rb:252:in `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in

 `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:133:in `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:391:in `delete_or_destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:197:in `destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/collectio

n_association.rb:174:in `destroy_all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/has_many_

association.rb:28:in `handle_dependency'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/associations/builder/a

ssociation.rb:137:in `block in add_destroy_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:426:in 

`instance_exec'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:426:in 

`block in make_lambda'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:198:in 

`block (2 levels) in halting'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:606:in 
`block (2 levels) in default_terminator'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:605:in 

`catch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:605:in 

`block in default_terminator'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:199:in 

`block in halting'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:513:in 

`block in invoke_before'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:513:in 

`each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:513:in 

`invoke_before'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:131:in 

`run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:816:in 

`_run_destroy_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/callbacks.rb:323:in `d

estroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:305:in

 `block in destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:387:in

 `block in with_transaction_returning_status'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab

stract/database_statements.rb:254:in `block in transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab

stract/transaction.rb:239:in `block in within_new_transaction'

/opt/rh/rh-ruby25/root/usr/share/ruby/monitor.rb:226:in `mon_synchronize'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab

stract/transaction.rb:236:in `within_new_transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/connection_adapters/ab

stract/database_statements.rb:254:in `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:212:in

 `transaction'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:385:in

 `with_transaction_returning_status'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/transactions.rb:305:in

 `destroy'

/usr/share/foreman/app/controllers/users_controller.rb:59:in `destroy'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/basic_implicit

_render.rb:6:in `send_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/base.rb:194:in `pr

ocess_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/rendering.rb:3

0:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/callbacks.rb:42:in

 `block in process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:109:in 

`block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in 

`block in run_callbacks'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in 

`block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_con

troller'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in 

`block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.1/lib/audited/sweeper.rb:14:in `around'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in 

`block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.1/lib/audited/sweeper.rb:14:in `around'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:118:in 

`block in run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:136:in 

`run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/callbacks.rb:41:in

 `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/rescue.rb:22:i

n `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/instrumentatio

n.rb:34:in `block in process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications.rb:168

:in `block in instrument'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications/instru

menter.rb:23:in `instrument'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifications.rb:168

:in `instrument'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/instrumentatio

n.rb:32:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/params_wrapper

.rb:256:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/railties/controller_ru

ntime.rb:24:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/base.rb:134:in `pr

ocess'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionview-5.2.1/lib/action_view/rendering.rb:32:in `proces

s'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal.rb:191:in `dis

patch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal.rb:252:in `dis

patch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:5

2:in `dispatch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:3

4:in `serve'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:52:i

n `block in serve'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:35:i

n `each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/router.rb:35:i

n `serve'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/route_set.rb:8

40:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/static_dispatcher.rb:65:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/extractor/recorder.rb:137:in `call

'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/usr/share/foreman/lib/middleware/telemetry.rb:9:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/middleware/checksum_in_headers.rb:

27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/tempfile_reaper.rb:15:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/etag.rb:25:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/conditional_get.rb:38:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/head.rb:12:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/http/content_security_

policy.rb:18:in `call'

/usr/share/foreman/lib/middleware/logging_context.rb:23:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/session/abstract/id.rb:232:in `context'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/session/abstract/id.rb:226:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/cookies.rb:

670:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/callbacks.r

b:28:in `block in call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callbacks.rb:98:in `

run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/callbacks.r

b:26:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/debug_excep

tions.rb:61:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/show_except

ions.rb:33:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/rack/logger.rb:38:in `call_app'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/rack/logger.rb:28:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:1

3:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/remote_ip.r

b:81:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/request_id.

rb:27:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.1/lib/katello/prevent_json_parsing.rb:12:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/method_override.rb:22:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/runtime.rb:22:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/cache/strategy/local

_cache_middleware.rb:29:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/executor.rb

:14:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware/static.rb:1

27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/sendfile.rb:111:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.0.0/lib/secure_headers/middleware.rb:13:in `call

'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/engine.rb:524:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `public_send'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `method_missing'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:68:in `block in call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:53:in `each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:53:in `call'

/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_reque

st'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

/usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `block in 

create_with_logging_context'

2019-04-12T16:26:09 [I|app|98f6d]   Rendering common/500.html.erb within layouts/application

2019-04-12T16:26:09 [I|app|98f6d]   Rendered common/500.html.erb within layouts/application (1.1ms)

2019-04-12T16:26:09 [I|app|98f6d]   Rendered layouts/_application_content.html.erb (0.3ms)

2019-04-12T16:26:09 [I|app|98f6d]   Rendering layouts/base.html.erb

2019-04-12T16:26:09 [I|app|98f6d]   Rendered layouts/base.html.erb (1.1ms)

2019-04-12T16:26:09 [I|app|98f6d] Completed 500 Internal Server Error in 50ms (Views: 3.5ms | ActiveRecord: 9.

7ms)

#2 - 04/15/2019 09:57 AM - Lukas Zapletal

- Status changed from New to Duplicate

This was fixed in 1.21 via #26603 please update.

#3 - 04/15/2019 09:57 AM - Lukas Zapletal

- Related to Bug #25914: Not able to delete user associated with usergroup added

#4 - 04/15/2019 09:58 AM - Lukas Zapletal

The correct link is #25914 sorry about that.

Files

foreman_ldap_bug 20.6 KB 04/12/2019 Patrick Thyen

Powered by TCPDF (www.tcpdf.org)

05/20/2024 5/5

https://projects.theforeman.org/issues/26603
https://projects.theforeman.org/issues/25914
http://www.tcpdf.org

